<?php

namespace FM\Service;

use FM\Factory\BusinessPartnerFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;


class PrioridadeManutService {

    protected $BusinessPartnerFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (EntityManager $entityManager, BusinessPartnerFactory $BusinessPartnerFactory, Environment $Environment, NewCode $newCode) {
        $this->BusinessPartnerFactory = $BusinessPartnerFactory;
        $this->connection             = $entityManager->getConnection();
        $this->Environment            = $Environment;
        $this->newCode                = $newCode;
    }

    public function inserirPrioridade($parametros) {
        $NRORG =  $this->Environment->getNrOrg();
        $this->connection->beginTransaction();

        try {
            $NRPRIORIDADEMANUT = $this->newCode->getCodeByTableName("FCM_PRIORIDADEMANUT", $NRORG, 1, 10, true);

            $parametrosPrioridade = array (
                "NRPRIORIDADEMANUT" => $NRPRIORIDADEMANUT,
                "NMPRIORIDADEMANUT" => $parametros['NMPRIORIDADE'],
                "DSCORPRIORIDADE" => $parametros['CORPRIORIDADE']
            );

            $this->BusinessPartnerFactory->inserirPrioridade($parametrosPrioridade);

            forEach($parametros['NRIMPACTOS'] as $Impacto) {

                $RELPRIORIDADEIMPACTO = $this->newCode->getCodeByTableName("FCM_RELPRIORIDADEIMPACTO", $NRORG, 1, 10, true);

                $parametrosImpacto = array (
                    "RELPRIORIDADEIMPACTO" => $RELPRIORIDADEIMPACTO,
                    "NRPRIORIDADEMANUT"    => $NRPRIORIDADEMANUT,
                    "NRIMPACTOMANUT"       => $Impacto,
                );
                $this->BusinessPartnerFactory->inserirImpactoRelacionado($parametrosImpacto);
            }


            $this->connection->commit();
            $response = 'OK';

        } catch(\Exception $e) {
           $this->connection->rollback();
           $response = ($e->getMessage());
        }
        return $response;
    }

    public function getInformacoesPrioridades() {

        $infoPrio = $this->BusinessPartnerFactory->getInformacoesPrioridades();
        return $infoPrio;
    }
}

?>